> ## Documentation Index
> Fetch the complete documentation index at: https://kardow.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List CMS Collections

> Returns every CMS collection in your organization.

Use this to enumerate the collections your dashboard or build pipeline
should sync.

## Example

```bash theme={null}
curl https://api.kardow.com/cms \
  -H "x-api-key: $KARDOW_API_KEY"
```


## OpenAPI

````yaml GET /cms
openapi: 3.1.0
info:
  title: Kardow Public API
  description: Public API for jobs and member automation on Kardow.
  version: 1.0.0
  contact:
    name: Kardow Support
    email: support@kardow.com
    url: https://kardow.com
servers:
  - url: https://api.kardow.com
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /cms:
    get:
      tags:
        - CMS
      summary: List CMS Collections
      description: List every CMS collection in your organization.
      operationId: listCmsCollections
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  collections:
                    type: array
                    items:
                      $ref: '#/components/schemas/CmsCollection'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CmsCollection:
      allOf:
        - $ref: '#/components/schemas/CmsCollectionInput'
        - type: object
          properties:
            id:
              type: string
              format: uuid
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
    CmsCollectionInput:
      type: object
      required:
        - slug
        - name
        - schema
      properties:
        slug:
          type: string
          description: URL-safe identifier. `^[a-z][a-z0-9_-]{0,63}$`.
        name:
          type: string
        description:
          type: string
        visibility:
          type: string
          enum:
            - public
            - gated
            - private
          default: public
        schema:
          type: array
          items:
            $ref: '#/components/schemas/CmsField'
          maxItems: 40
        rules:
          type: object
          description: Optional behavior flags.
          properties:
            allow_public_submit:
              type: boolean
              default: false
            moderation:
              type: string
              enum:
                - auto
                - manual
              default: manual
            sort_by:
              type: string
              default: created_at
            sort_dir:
              type: string
              enum:
                - asc
                - desc
              default: desc
        required_entitlement:
          type: string
          nullable: true
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details: {}
            url:
              type: string
          required:
            - message
            - code
      required:
        - error
    CmsField:
      type: object
      required:
        - name
        - type
      properties:
        name:
          type: string
          description: Snake-case identifier. Must match `^[a-z][a-z0-9_]{0,63}$`.
        label:
          type: string
          description: Optional human label shown in UIs.
        type:
          type: string
          enum:
            - text
            - longtext
            - number
            - boolean
            - image
            - url
            - select
            - date
        required:
          type: boolean
          default: false
        options:
          type: array
          items:
            type: string
          description: Required when `type=select`.
        max_length:
          type: integer
        min:
          type: number
        max:
          type: number
        default:
          description: Default value when none is provided.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Get yours from Settings > API Keys in the
        Kardow dashboard.

````